## org.apache.poi.hwpf.dev
Class RecordUtil

    java.lang.Object
      org.apache.poi.hwpf.dev.RecordUtil

    @Internal
    public class RecordUtil

extends java.lang.Object

Helper functions for the record transformations. Used during model classes autogeneration.

Author:
  Glen Stampoultzis (glens at apache.org), Andrew C. Oliver (acoliver at apache dot org)

Constructor Summary
`RecordUtil()`

Method Summary
`static java.lang.String` `getBitFieldFunction(java.lang.String name, java.lang.String bitMask, java.lang.String parentType, java.lang.String withType)`
`static java.lang.String` `getBitFieldGet(java.lang.String name, java.lang.String bitMask, java.lang.String parentType, java.lang.String parentField)`
`static java.lang.String` `getBitFieldSet(java.lang.String name, java.lang.String bitMask, java.lang.String parentType, java.lang.String parentField)`
`static java.lang.String` `getBitFieldType(java.lang.String name, java.lang.String bitMask, java.lang.String parentType)`
`static java.lang.String` `getConstName(java.lang.String parentName, java.lang.String constName, int padTo)`
`static java.lang.String` `getFieldName(int position, java.lang.String name, int padTo)`
`static java.lang.String` `getFieldName(java.lang.String name, int padTo)`
`static java.lang.String` `getFieldName1stCap(java.lang.String name, int padTo)`
`static java.lang.String` `getType1stCap(java.lang.String size, java.lang.String type, int padTo)`
`protected static java.lang.StringBuffer` `pad(java.lang.StringBuffer fieldName, int padTo)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RecordUtil

    public RecordUtil()

Method Detail

### getBitFieldFunction

    public static java.lang.String getBitFieldFunction(java.lang.String name,
                                                       java.lang.String bitMask,
                                                       java.lang.String parentType,
                                                       java.lang.String withType)

### getBitFieldGet

    public static java.lang.String getBitFieldGet(java.lang.String name,
                                                  java.lang.String bitMask,
                                                  java.lang.String parentType,
                                                  java.lang.String parentField)

### getBitFieldSet

    public static java.lang.String getBitFieldSet(java.lang.String name,
                                                  java.lang.String bitMask,
                                                  java.lang.String parentType,
                                                  java.lang.String parentField)

### getBitFieldType

    public static java.lang.String getBitFieldType(java.lang.String name,
                                                   java.lang.String bitMask,
                                                   java.lang.String parentType)

### getConstName

    public static java.lang.String getConstName(java.lang.String parentName,
                                                java.lang.String constName,
                                                int padTo)

### getFieldName

    public static java.lang.String getFieldName(int position,
                                                java.lang.String name,
                                                int padTo)

### getFieldName

    public static java.lang.String getFieldName(java.lang.String name,
                                                int padTo)

### getFieldName1stCap

    public static java.lang.String getFieldName1stCap(java.lang.String name,
                                                      int padTo)

### getType1stCap

    public static java.lang.String getType1stCap(java.lang.String size,
                                                 java.lang.String type,
                                                 int padTo)

### pad

    protected static java.lang.StringBuffer pad(java.lang.StringBuffer fieldName,
                                                int padTo)

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.